Subject: Re: bug#50660: 28.0.50; Text artifacting when the cursor moves over text under mouse face that originally displayed a box

From: Po Lu <[email-masked]>
Date: Fri, 24 Sep 2021 07:53:20 +0800

Eli Zaretskii <[email-masked]> writes:

> It's definitely not what I see here.  I see the value that is the
> screen line number of the cursor.  If the cursor is on the first
> screen line, the value is indeed zero (VPOS is zero-based), but not in
> general.

I found the issue with that.  Hopefully, in a bit, I will have something
ready to work, but in the meantime I noticed another problem:

If the mouse face's box is set to something preposterous, like (:box
10000), the entire row is occluded by the box, and doesn't become
visible again when canceling mouse face.  Only redraw-display makes the
problem go away.